/*****************************************************************************
 * $Id: mod_class.hh,v 1.1 2006/11/24 21:56:57 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Meta header file.
 * @remarks	See mod_base.hh.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#ifndef MOD_CLASS_HH
#define MOD_CLASS_HH 1
// Hide class from other modules.
#if COMPILING_MODULE

#include "mod_base_class.hh"

#include "mod_defs.hh"		// defines MODULE etc

#if MODULE == MODULE_PONY
#include "mod_pony_class.hh"
extern ModulePony gModule;
#else
#error
#endif

#endif // COMPILING_MODULE
#endif // MOD_CLASS_HH
