/*****************************************************************************
 * $Id: mod_base_stats.cc,v 1.1 2006/11/24 21:56:57 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Statistics.
 *//*
 * LEGAL:	COPYRIGHT (C) 2006 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#if STATS
#define MOD_BASE_STATS_CC 1
#include "mod_base_common.hh"
#include "mod_base_stats.hh"

/*****************************************************************************
 * Module base Stats constructor.
 *****************************************************************************/
ModuleStats::ModuleStats( void )
{
	mTracers = 0;
}

/*****************************************************************************
 * Clear some stats prior to drawing.
 *****************************************************************************/
void
ModuleStats::PreDraw( void )
{
	// Only some stats members need resetting.
	// (nothing/placeholder)
}

/*****************************************************************************
 * operator<<(ModuleStats)
 *****************************************************************************/
ostream&
operator<<( ostream& strm, const ModuleStats& o )
{
	// (nothing/placeholder)
    return strm;
}

#endif // STATS
