/*****************************************************************************
 * $Id: meta_eng.hh,v 1.1 2006/11/24 21:56:57 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Meta header file.
 * @remarks	See mod_base.hh.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#ifndef META_ENG
#define META_ENG 1

#include "mod_defs.hh"		// defines MODULE etc

// Engine includes meta_eng.hh (without knowing where it's at).
#if MODULE == MODULE_PONY
#	include "mod_pony_defs_eng.hh"
#else
#	error
#endif

#endif // META_ENG
